// IEBarsView.cpp : implementation of the CIEBarsView class
//

#include "stdafx.h"
#include "IEBars.h"
#include "IEBarsDoc.h"
#include "IEBarsView.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CIEBarsView

IMPLEMENT_DYNCREATE(CIEBarsView, CEditView)

BEGIN_MESSAGE_MAP(CIEBarsView, CEditView)
	//{{AFX_MSG_MAP(CIEBarsView)
	ON_WM_RBUTTONUP()
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CEditView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIEBarsView construction/destruction

CIEBarsView::CIEBarsView()
{
}

CIEBarsView::~CIEBarsView()
{
}

BOOL CIEBarsView::PreCreateWindow(CREATESTRUCT& cs)
{
	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Enable word-wrapping

	return bPreCreated;
}

/////////////////////////////////////////////////////////////////////////////
// CIEBarsView drawing

void CIEBarsView::OnDraw(CDC* pDC)
{
	CIEBarsDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}

/////////////////////////////////////////////////////////////////////////////
// CIEBarsView printing

BOOL CIEBarsView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default CEditView preparation
	return CEditView::OnPreparePrinting(pInfo);
}

void CIEBarsView::OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	CEditView::OnBeginPrinting(pDC, pInfo);
}

void CIEBarsView::OnEndPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	CEditView::OnEndPrinting(pDC, pInfo);
}

/////////////////////////////////////////////////////////////////////////////
// CIEBarsView diagnostics

#ifdef _DEBUG
void CIEBarsView::AssertValid() const
{
	CEditView::AssertValid();
}

void CIEBarsView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CIEBarsDoc* CIEBarsView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CIEBarsDoc)));
	return (CIEBarsDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CIEBarsView message handlers

void CIEBarsView::CalcWindowRect(LPRECT lpClientRect, UINT nAdjustType)
{
	// fix a bug in MFC6:
	// CEditView::CalcWindowRect makes the view too big
	CView::CalcWindowRect(lpClientRect, nAdjustType);
}


void CIEBarsView::OnRButtonUp(UINT nFlags, CPoint point) 
{
	ClientToScreen(&point);

	((CMainFrame*)GetParentFrame())->TrackPopup(0, point);
}
